> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.a1.uk.astutepayroll.in/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.a1.uk.astutepayroll.in/_mcp/server.

# Get Customer by UUID

GET {{baseUrl}}/customers/{customerUuid}

Retrieve a single customer record by UUID.

Reference: https://docs.a1.uk.astutepayroll.in/api-reference/customer/get-customer-by-uuid

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `customerUuid` (string, required)

### Query parameters

- `include` (string, optional) — Comma-separated list of field paths to return. Supports nested paths.

### Headers

- `vnd.a1.tenant-id` (string, optional) — Tenant identifier for multi-tenant environments

## Response

### 200

Successful Response

- `uuid` (string, optional)
- `entityName` (string, optional)
- `tradingName` (string, optional)
- `regionCode` (string, optional)
- `address` (CustomerResponseAddress, optional)
- `email` (string, optional)
- `contactName` (string, optional)
- `remoteId` (integer, optional)
- `phone` (Phone, optional)
- `registrationNumber` (string, optional)
- `invoiceTermLength` (integer, optional)
- `salesInvoiceDescriptionText` (string, optional)
- `parentUuid` (string, optional)
- `invoiceTaxUuid` (string, optional)
- `companyUuid` (string, optional)
- `billingGroupName` (string, optional)
- `billingGroupInvoiceName` (string, optional)
- `billingGroupPrimaryEmail` (string, optional)
- `billingGroupAdditionalEmailRecipients` (string, optional)
- `billingGroupUuid` (string, optional)

## Errors

### 404 Not Found Error

Customer not found

- `any`

## Types

### CustomerResponseAddress

- `line1` (string, optional)
- `line2` (string, optional)
- `townCity` (string, optional)
- `country` (string, optional)
- `foreignCountry` (string, optional)
- `postcode` (string, optional)

### Phone

- `countryCode` (string, optional)
- `number` (string, optional)

## Examples

**Response**

```json
{
  "uuid": "45b0d09b-bc25-4b45-af21-dc15cba56ce2",
  "entityName": "Acme Corp",
  "tradingName": "Acme",
  "regionCode": "GBR",
  "address": {
    "line1": "10 High Street",
    "townCity": "London",
    "country": "England",
    "postcode": "SW1A 1AA"
  },
  "email": "billing@acme.com",
  "contactName": "Jane Smith",
  "phone": {
    "countryCode": "44",
    "number": "1234567890"
  }
}
```

**SDK Code**

```python Customer_getCustomerByUuid_example
import requests

url = "https://{{baseurl}}/customers/customerUuid"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Customer_getCustomerByUuid_example
const url = 'https://{{baseurl}}/customers/customerUuid';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Customer_getCustomerByUuid_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{{baseurl}}/customers/customerUuid"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Customer_getCustomerByUuid_example
require 'uri'
require 'net/http'

url = URI("https://{{baseurl}}/customers/customerUuid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Customer_getCustomerByUuid_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{{baseurl}}/customers/customerUuid")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Customer_getCustomerByUuid_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://{{baseurl}}/customers/customerUuid', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Customer_getCustomerByUuid_example
using RestSharp;

var client = new RestClient("https://{{baseurl}}/customers/customerUuid");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Customer_getCustomerByUuid_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://{{baseurl}}/customers/customerUuid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```